Subject: bug#22308: intermittent problem generating autoloads

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Jan 2016 20:36:59 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 05 Jan 2016 12:39:31 -0500
> 
> I have seen similar issues twice in my own daily builds (in mid-Dec), so
> the issue is not specific to hydra.

OK, then I ask the same question about your daily builds, if that
happens there again.

It stopped happening to me in December, so I'm surprised it still
happens elsewhere.

> > This stopped happening for me since the undo issues were fixed on the
> > emacs-25 branch.  I thought that was what fixed these.
> 
> Maybe yours was a different issue (I'm surprised undo has any relevance
> to autoload generation).

The undo changes messed with the gap while Emacs was inserting stuff
into the gap, and generating autoloads inserts a lot of stuff into a
buffer.